----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    15:39:54 11/02/2007 
-- Design Name: 
-- Module Name:    comparator - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity comparator is
	Generic	(
		data_width : integer := 8
	);
   Port	(
		data1_i : in   STD_LOGIC_VECTOR (data_width-1 downto 0);
      data2_i : in   STD_LOGIC_VECTOR (data_width-1 downto 0);
      equal_o : out  STD_LOGIC
	);
end comparator;

architecture Behavioral of comparator is
	signal equal : STD_LOGIC; -- vsak proces naj spreminja le en sam signal 

begin

	process(data1_i,data2_i) -- pomnilna celica, ker if stavek nima "else" in ne pokrije vseh moznosti, tako da v primeru, ko bi bil izbran "else", ohranja staro stanje 
	begin
		if ( data1_i = data2_i ) then 
			equal <= '1';
		else 
			equal <= '0';
		end if;
	end process;
	equal_o <= equal;

end Behavioral;

