----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    12:37:47 01/04/2008 
-- Design Name: 
-- Module Name:    dc - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity dc is
    Port ( clk_i : in  STD_LOGIC;
           rst_i : in  STD_LOGIC;
           cr_i : in  STD_LOGIC;
           cr_o : out  STD_LOGIC);
end dc;

architecture Behavioral of dc is
signal cr : std_logic;
begin
process (clk_i)
begin
   if clk_i'event and clk_i='1' then  
      if rst_i='1' then   
         cr <= '0';
      else
        cr <= cr_i;
      end if;
   end if;
end process;
cr_o <= cr;
end Behavioral;

