library ieee;  
use ieee.std_logic_1164.all;  
use ieee.std_logic_unsigned.all;


entity ram is  
  port (clk_i  : in std_logic;  
        we_i   : in std_logic;  
        adress_i    : in std_logic_vector(13 downto 0);  
        adress_w_i : in std_logic_vector(13 downto 0);  
        data_w_i   : in std_logic_vector(2 downto 0);  
        data_1_o  : out std_logic_vector(2 downto 0)  
        --data_2_o  : out std_logic_vector(2 downto 0)
		  );  
end ram;  
architecture Behavioral of ram is 
  type ram_type is array (16383 downto 0)  
        of std_logic_vector (2 downto 0);  
  signal RAM : ram_type;  
  signal read_a : std_logic_vector(13 downto 0);  
  --signal read_wa : std_logic_vector(13 downto 0);  
begin  
  process (clk_i)  
  begin  
    if (clk_i'event and clk_i = '1') then  
      if (we_i = '1') then  
        RAM(conv_integer(adress_w_i)) <= data_w_i;  
      end if;  
      read_a <= adress_i;  
     -- read_wa <= adress_w_i;  
    end if;  
  end process;  
  data_1_o <= RAM(conv_integer(read_a));  
 -- data_2_o <= RAM(conv_integer(read_wa));  
end Behavioral;