----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    20:00:19 12/31/2007 
-- Design Name: 
-- Module Name:    syn - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity syn is
    Port ( clk_i : in  STD_LOGIC;
           rst_i : in  STD_LOGIC;
          --ce_i : in  STD_LOGIC;
           r_i : in  STD_LOGIC;
           g_i : in  STD_LOGIC;
           b_i : in  STD_LOGIC;
			  cr_i : in  STD_LOGIC;
           r_o : out  STD_LOGIC;
           g_o : out  STD_LOGIC;
           b_o : out  STD_LOGIC
			 );
end syn;


architecture Behavioral of syn is
signal r : std_logic;
signal g : std_logic;
signal b : std_logic;
  
begin

	process (clk_i) 
	begin
	
	if clk_i'event and clk_i='1' then  
			if rst_i='1' then   
				r <= '0';
				g <= '0';
				b <= '0';
			else
				r <= r_i and cr_i;
				g <= g_i and cr_i;
				b <= b_i and cr_i;
			end if;
	end if;
	end process;
	r_o <= r;
	g_o <= g;
	b_o <= b;
end Behavioral;

