----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:03:52 01/08/2008 
-- Design Name: 
-- Module Name:    ps2reg - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity ps2reg is
Port (
clk_i : in STD_LOGIC;
rst_i : in STD_LOGIC;
we_i : in STD_LOGIC;
data_i : in STD_LOGIC;
data_o : out STD_LOGIC_VECTOR (8 downto 0)
);
end ps2reg ;
architecture Behavioral of ps2reg is
signal q : STD_LOGIC_VECTOR (8 downto 0);
begin
process ( clk_i )
begin
if clk_i ' event and clk_i ='1' then
if rst_i ='1' then
q <= (others => '0');
elsif we_i = '1' then
q <= data_i & q(8 downto 1);
end if;
end if;
end process;
data_o <= q;
end Behavioral;